aboutsummaryrefslogtreecommitdiff
path: root/openssl/test
diff options
context:
space:
mode:
authorManuel Schölling <[email protected]>2015-03-11 14:08:48 +0100
committerManuel Schölling <[email protected]>2015-04-06 12:22:50 +0200
commit8a0e9d6cca4459dd0d256fc2e1b9453a9e0c48f8 (patch)
tree682062bd57272cc156034992f800b4929999bbbc /openssl/test
parentAdd DTLS docs (diff)
downloadrust-openssl-8a0e9d6cca4459dd0d256fc2e1b9453a9e0c48f8.tar.xz
rust-openssl-8a0e9d6cca4459dd0d256fc2e1b9453a9e0c48f8.zip
Fix travis test setup for DTLS
Diffstat (limited to 'openssl/test')
-rwxr-xr-xopenssl/test/test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/openssl/test/test.sh b/openssl/test/test.sh
new file mode 100755
index 00000000..3d035905
--- /dev/null
+++ b/openssl/test/test.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+trap "trap - SIGTERM && kill -- -$$" SIGINT SIGTERM EXIT
+
+openssl s_server -accept 15418 -www -cert openssl/test/cert.pem -key openssl/test/key.pem >/dev/null 2>&1 &
+
+for port in `seq 15411 15430`; do
+ echo hello | openssl s_server -accept $port -dtls1 -cert openssl/test/cert.pem \
+ -key openssl/test/key.pem 2>&1 >/dev/null &
+done
+# the server for the test ssl::tests::test_write_dtlsv1 must wait to receive
+# data from the client
+openssl s_server -accept 15410 -dtls1 -cert openssl/test/cert.pem \
+ -key openssl/test/key.pem 2>&1 >/dev/null